Name:    	bluefish
Version: 	1.0.5
Release: 	2.fc5

Summary:        GTK2 web development application for experienced users

Group:          Development/Tools
License:        GPL
URL:            http://bluefish.openoffice.nl/
Source0:        http://pkedu.fbt.eitn.wau.nl/~olivier/downloads/bluefish-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  aspell-devel >= 0.5
BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  gnome-vfs2-devel
BuildRequires:  gtk2-devel >= 2.0.6
BuildRequires:  libgnomeui-devel >= 2.6
BuildRequires:  pcre-devel >= 3.9
Requires(post): desktop-file-utils
Requires(post): shared-mime-info
Requires(postun): desktop-file-utils
Requires(postun): shared-mime-info

Patch0: bluefish-1.0.5-man_makefile.patch
Patch1: bluefish-1.0.5-smart_cursor.patch
Patch2: bluefish-1.0.5-no_bluefish_icon.patch

%description
Bluefish is a powerful editor for experienced web designers and programmers.
Bluefish supports many programming and markup languages, but it focuses on
editing dynamic and interactive websites.


%prep
%setup -q
%patch0 -p0 -b .man_makefile
%patch1 -p0 -b .smart_cursor
%patch2 -p0 -b .no_bluefish_icon


%build
%configure --disable-update-databases
make %{?_smp_mflags}


%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/applications
make install DESTDIR=${RPM_BUILD_ROOT}                                           \

%find_lang %{name}
desktop-file-install --vendor bluefish --delete-original \
  --dir ${RPM_BUILD_ROOT}%{_datadir}/applications      \
  --add-category X-Fedora                              \
  ${RPM_BUILD_ROOT}%{_datadir}/applications/bluefish.desktop
desktop-file-install --vendor bluefish --delete-original \
  --dir ${RPM_BUILD_ROOT}%{_datadir}/applications      \
  --add-category X-Fedora                              \
  ${RPM_BUILD_ROOT}%{_datadir}/applications/bluefish-project.desktop


%clean
rm -rf ${RPM_BUILD_ROOT}


%post
update-mime-database %{_datadir}/mime > /dev/null 2>&1 || :
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 || :


%postun
update-mime-database %{_datadir}/mime > /dev/null 2>&1 || :
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING README TODO
%{_bindir}/bluefish
%{_datadir}/applications/bluefish.desktop
%{_datadir}/applications/bluefish-project.desktop
%{_datadir}/application-registry/*
%{_datadir}/bluefish/*
%{_datadir}/mime/packages/bluefish.xml
%{_datadir}/mime-info/*
%{_datadir}/pixmaps/*
%{_mandir}/man1/*


%changelog
* Sun Mar 19 2006 Jim Hayward <jimhayward@linuxexperience.net> - 1.0.5-2
- rebuild
- update bluefish-1.0.5-no_bluefish_icon.patch
* Sun Feb 05 2006 Jim Hayward <jimhayward@linuxexperience.net> - 1.0.5-1
- 1.0.5 release
- backport fix from CVS, man/Makefile not removed during distclean
- backport fix from CVS, Fix a bug in smart cursor positioning
- backport fix from CVS, Bluefish icon was not displayed if the splash screen was disabled
* Sun Aug 28 2005 Jim Hayward <jimhayward@linuxexperience.net> - 1.0.4-1
- 1.0.4 release

